
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>再探JavaScript作用域_基础知识 / iVAN</title>

    <meta name="description" content="再探JavaScript作用域_基础知识 黄金守则第一条: js没有块级作用域(你可以自己闭包或其他方法实现),只有函数级作用域,函数外面的变量函数里面可以找到,函数里面的变量外面找不到. first try: 这是为什么呢?? var a = 10; function aaa(){//step-4 alert(a);//step-5-&gt;执行alert,此时只能找到外面的a=10故弹框10 } function bbb(){//step-2 var a = 20; aaa();//step-3 } //定义了函数没啥用,调用才是真 ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">再探JavaScript作用域_基础知识</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>黄金守则第一条：</p>
<p>js没有块级作用域（你可以自己闭包或其他方法实现），只有函数级作用域，函数外面的变量函数里面可以找到，函数里面的变量外面找不到。</p>
<p>first try：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyNzEwLnBuZw==.jpg"></p>
<p>这是为什么呢？？</p>
<pre>
var a = 10;
function aaa(){//step-4
	alert(a);//step-5-&gt;执行alert，此时只能找到外面的a=10故弹框10
}
function bbb(){//step-2
	var a = 20;
	aaa();//step-3
}
//定义了函数没啥用，调用才是真格的所以这里是step-1
bbb();//step-1</pre>
<p>其实原理大家都懂，应该就是易错而已，万变不离其综。</p>
<p>second try：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyNzExLnBuZw==.jpg"></p>
<p>这是为什么呢？ 因为给a赋值b的时候，b还没有定义，所以a是undefined，b是10.</p>
<p>黄金守则第二条：</p>
<p>变量的查找是就近原则，去寻找var定义的变量，当就近没有找到的时候就去查找外层。</p>
<p>look：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyNzEyLmpwZw==.jpg"></p>
<p>这是为什么呢、？ 这里面有两个原因，一是预解析，二是就近查找。</p>
<pre>
var a=10;
function aaa(){
	alert(a);//undefined，查找a的时候会现在函数内查找，由于预解析的作用，此时的a是undefined,因此永远不会去查找外面的10了
	var a = 20;

	/*预解析
	var a
	alert(a);
	var a = 20;*/

}
aaa();</pre>
<p>attention：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyNzEzLnBuZw==.jpg"></p>
<p>这个吧，就验证了第二条，虽然是就近原则，但是是就近找var声明的变量，这个是因为没有var声明的变量是全局的，这里只是修改了a的值。所以上面就是因为在函数内没找到var的a，于是到外面去找了，一找就找到了，于是a就alert出10了；不过没错的是a=20后，a确实为20了，只不过alert的时候还没有执行到那~~</p>
<p>看吧~</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODE0LmpwZw==.jpg"></p>
<p>下面这个例子，更加验证了js的函数作用域 而已：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODE1LnBuZw==.jpg"></p>
<p>这是因为在alert(a)的时候，bbb函数中的a确实为20 ，可是它对于这时的alert(a)这句话来说是局部的，alert(a)根本找不到bbb函数中的a，所以在aaa函数中它找不到a，于是乎去外面找，一找，就找到了10。</p>
<p>黄金守则第三条：</p>
<p>当参数跟局部变量重名时，优先级是等同的。</p>
<p>例：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODE2LmpwZw==.jpg"></p>
<p>还有：传参时，基本类型传值，引用类型传引用。（但是重新赋值之后就不是这样了喔）</p>
<pre>
var a = 5;
var b = a;
b +=3;
alert(a);//5

var a = [1,2,3];
var b=a;
b.push(4);
alert(a);//[1,2,3,4];</pre>
<p>上面代码没有问题，但是下面就不一样啦。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODE3LmpwZw==.jpg"></p>
<p>因为b被重新赋值了，不指向a了。</p>
<p>此外，参数与变量的作用域是相似的：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODE4LmpwZw==.jpg"></p>
<p>对比上下这两个：</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODE5LnBuZw==.jpg"></p>
<p>上面是参数是基本类型，只传了值进去，下面的传个引用类型：（同样也包含重新赋值的情况）</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyODIwLnBuZw==.jpg"></p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gub3NzLWNuLWhhbmd6aG91LmFsaXl1bmNzLmNvbS8yMDE0MDkyNDA4NTQyOTIxLnBuZw==.jpg"></p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索javascript<br />
                                    作用域<br />
                                    javascript基础知识、javascript的基础知识、javascript基础知识点、javascript作用域链、javascript作用域，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-01-31 11:35:10</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/javascript/" title="javascript">javascript</a>, <a href="https://www.iamivan.net/tag/%e4%bd%9c%e7%94%a8%e5%9f%9f/" title="作用域">作用域</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>再探JavaScript作用域_基础知识的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKK5WM.html" rel="bookmark">JavaScript 基础函数&lowbar;深入剖析变量和作用域&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				函数定义和调用 定义函数,在JavaScript中,定义函数的方式如下: function abs(x){ if(x &gt;=0){ return x; }else{ return -x; } } 上述abs() 函数的定义如下: function 指出这是一个函数定义; abs 是函数的名称: (x) 括号内列出函数的参数,多个参数以,分隔: {...}之间的代码是函数体,可以包含若干语句,甚至可以没有任何语句. 注意:函数体内部的语句在执行时,一旦执行到return 时,函数就执行完毕,并将结果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDkkP0p.html" rel="bookmark">解析JavaScript面向对象概念中的Object类型与作用域&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				引用类型 引用类型主要包括:Object 类型.Array 类型.Date 类型.RegExp 类型.Function 类型等等. 引用类型使用时,需要从它们身上生成一个对象(实例).也就是说,引用类型相当于一个模版,当我们想要用某个引用类型的时候,就需要用这个模版来生成一个对象来使用,所以引用类型有时候也称作对象定义. 例如,我们需要生成一个 person 对象,来定义某人的个人信息和行为,那么我们就需要依赖 Object 类型: var person = new Object(); pers			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQYRNOb.html" rel="bookmark">Javascript学习笔记3 作用域&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Javascript,全局环境本身就一个对象.在浏览器宿主中这个对象是window,而当Javascript用于其它非浏览器的宿主,如嵌入式的环境中,可能会是其它的对象. 在这里也纠正一个观念,有很多人都认为Javascript只在浏览器中使用,其实Javascript也能在很多非Web情况下使用,据介绍Javascript在一些基于嵌入式的应用领域表现得也很出色,当然这些我也只是听过传说而已. 言归正传,当我们写下:var i=1时,其实就是声明了一个window作用域的一个变量. 而当我们			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zJOOo2b.html" rel="bookmark">深入理解JavaScript 函数&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				方法&amp;函数 区别 1.function 是更通用的概念,如数学.编程 2.method 是面向对象中的概念,一般与类或对象成对出现 关系 1.对象的属性可以是任意类型 2.对象的属性如果是函数类型,它就叫做这个对象的方法 3.所以方法的本质还是函数 函数的调用 1.fun() 2.obj.fun() 3.fun.call() 函数的属性和方法 1.name 2.length 3.toString 作用域 变量不是哪里都可以使用 全局变量(跨文件) var n = 1; function fn()			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1aoOb.html" rel="bookmark">浅谈JavaScript 标准对象&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在JavaScript的世界里,一切都是对象. 但是某些对象还是和其他对象不太一样.为了区分对象的类型,我们用typeof操作符获取对象的类型,它总是返回一个字符串: typeof 123; // 'number' typeof NaN; // 'number' typeof 'str'; // 'string' typeof true; // 'boolean' typeof undefined; // 'undefined' typeof Math.abs; // 'function' ty			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8AOdoz.html" rel="bookmark">JavaScript 特殊字符&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				你可以在JavaScript中使用反斜杠来向文本字符串添加特殊字符. 插入特殊字符 反斜杠用来在文本字符串中插入省略号.换行符.引号和其他特殊字符. 请看下面的JavaScript代码: var txt=&quot;We are the so-called &quot;Vikings&quot; from the north.&quot; document.write(txt) 在JavaScript中,字符串使用单引号或者双引号来起始或者结束.这意味着上面的字符串将被截为:We are the so-c			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/M0Nnymz.html" rel="bookmark">国外的为初学者写的JavaScript教程&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Embedding and including write and writeln Document object Message box Function Event handler Form Link Date Window Frame Embedding and including Let's first see a simple example: &lt;html&gt; &lt;head&gt; &lt;title&gt;This is a JavaScript example&lt;/titl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mv7eD1p.html" rel="bookmark">javascript的函数作用域&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一些类似c语言的编程语言中,花括号内的每一段代码都具有各自的作用域,而且变量在声明他们的代码段之外是不可见的,我们称为块级作用域(block scope),而javascript中没有块级作用域.取而代之的javascript使用的是函数作用域(function scope):变量在声明它的函数体以及这个函数体嵌套的任意函数体内都是有定义的. 在如下代码中,在不同位置定义的i,j和k,他们再同一个作用域内都是有定义的 复制代码 代码如下: function text(o)   {      			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pPx4D0p.html" rel="bookmark">javascript函数作用域学习示例&lpar;js作用域&rpar;&lowbar;基础知识</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在一些类似c语言的编程语言中,花括号内的每一段代码都具有各自的作用域,而且变量在声明他们的代码段之外是不可见的,我们称为块级作用域(block scope),而javascript中没有块级作用域.取而代之的javascript使用的是函数作用域(function scope):变量在声明它的函数体以及这个函数体嵌套的任意函数体内都是有定义的. 在如下代码中,在不同位置定义的i,j和k,他们再同一个作用域内都是有定义的 复制代码 代码如下: function text(o)   {      			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bBX19p.html" rel="bookmark" class="title">通过cookies注入破解ASP通用防注入程序</a>
					<div>
						在一次网站被注入木马后,很是郁闷,网站已经放入了通用的ASP防注入程序,但依然被注入. 在查阅了大量的资料后,终于发现了问题所在. 现在很多网站都加了防注入系统代码,你输入注入语句将无法注入~~感觉这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/XMlOWNb.html" rel="bookmark" class="title">ScriptEngine 函数</a>
					<div>
						函数 返回一个字符串,代表正在使用的脚本语言. ScriptEngine( ) 说明 ScriptEngine 函数可以返回下列任意字符串: 字符串 描述 JScript 指明 Microsoft J ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7M0gXPb.html" rel="bookmark" class="title">RMAN初学者指南</a>
					<div>
						RMAN初学者指南    RMAN(Recovery Manager)是DBA的一个重要工具,用于备份.还原和恢复oracle数据库,前一段时间有网友找我要,可惜没时间,趁这两天出差在外没什么事,就写 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2D2Zp.html" rel="bookmark" class="title">发邮件、带附件。利用属性升级变量轻松使用Session</a>
					<div>
						session|变量|发邮件 后台代码: //----------------------------------------------------------------------------- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlRZVaz.html" rel="bookmark" class="title">ios通过按钮点击异步加载图片</a>
					<div>
						  本文给大家汇总了几种IOS中实现异步加载图片的方法,十分的简单实用,有需要的小伙伴可以参考下. 比较原始的方法: 代码如下: AsyncImageView.h: #import @interfac ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqL91Rb.html" rel="bookmark" class="title">Win8系统电脑设备管理器在哪里？</a>
					<div>
						  Win8系统电脑设备管理器在哪里? 1.Win+x,或右击左下图标; 2.右击桌面[计算机]图标,点[管理],然后在[系统工具]里选择[设备管理器]; 3.打开[控制面板],选择[硬件和声音],然 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLX8ab.html" rel="bookmark" class="title">如何手动恢复未保存的Excel工作薄</a>
					<div>
						在Excel2010中用户可以手动恢复未保存的工作簿,其方法主要有以下三种: 方法一.在&quot;文件&quot;选项卡中单击&quot;信息&quot;选项卡,在其界面左侧单击&quot;管理版本 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGmQNp.html" rel="bookmark" class="title">linux命令系列之man</a>
					<div>
						  前言 本系列会介绍linux的一系列的命令,但主要还是把man手册上面翻译过来,给自己一个记忆,也方便其他童鞋收藏查阅. ===================================== ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvGqQNp.html" rel="bookmark" class="title">ps制作镜像照片对称图教程</a>
					<div>
						  原图: 效果图: 制作镜像照片步骤: 一.复制照片 1.单击选择--全部 2.单击编辑--拷贝 3.CTRL+D消除蚂蚁线 二.扩展画布 1.单击图像--画布大小 2.选中相对(带&quot;√& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badwyJz.html" rel="bookmark" class="title">ORA-12523&colon; TNS&colon; 监听程序无法找到适用于客户机连接的例程</a>
					<div>
						    今天使用PL/SQL Developer连接到一台新的测试服务器时,遇到ORA错误:ORA-12523: TNS: 监听程序无法找到适用于客户机连接的例程.对应的监听日志文件里面错误为TNS- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkaPEb.html" rel="bookmark" class="title">轻松获取微软网站隐藏的软件下载地址</a>
					<div>
						为了提高windows操作系统的 稳定性和 易用性,微软总是会在它的http://www.aliyun.com/zixun/aggregation/11307.html&quot;&gt;官方网站发布 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmGJ9Bb.html" rel="bookmark" class="title">有关c&plus;&plus;引用之中的疑惑啊</a>
					<div>
						问题描述 有关c++引用之中的疑惑啊 引用也是分配了一块内存给它一个别名 为什么不需要释放内存 引用也是分配了一块内存给它一个别名 为什么不需要释放内存 解决方案 引用的变量自身在栈区不用了就销毁了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze78gVM.html" rel="bookmark" class="title">详细解读JavaScript的跨浏览器事件处理&lowbar;基础知识</a>
					<div>
						一.关于获取事件对象 FF有点倔强,只支持arguments[0],不支持window.event.这次真的不怪IE,虽然把event作为window的属性不合规范,但大家都已经默许这个小问题存在了, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
									<a href="https://www.iamivan.net/a/pXwxjjM.html" class="thumbnail">
				<img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHAvaW1nLmJsb2cuY3Nkbi5uZXQvMjAxNDEwMTExNzEwMDM4MDE/d2F0ZXJtYXJrLzIvdGV4dC9hSFIwY0RvdkwySnNiMmN1WTNOa2JpNXVaWFF2V0ZOR05UQTNNVGM9L2ZvbnQvNWE2TDVMMlQvZm9udHNpemUvNDAwL2ZpbGwvSTBKQlFrRkNNQT09L2Rpc3NvbHZlLzcwL2dyYXZpdHkvU291dGhFYXN0.jpg">
							</a>
							<div class="info"   >
					<a href="https://www.iamivan.net/a/pXwxjjM.html" rel="bookmark" class="title">存储空间布局</a>
					<div>
						了解存储空间布局意义很大,这对加深理解局部函数返回值,堆和栈很有帮助 一般分为以下几个部分: (1) 栈 由编译器自动分配释放管理.局部变量及每次函数调用时返回地址.以及调用者的环境信息(例如某些机器 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn7X4jz.html" rel="bookmark" class="title">Python基本语法&lowbar;输入&sol;输出语句详解</a>
					<div>
						目录 目录 前言 输入 raw_input input raw_input 和 input 的区别 输出 print print 基本格式化输出 print复杂格式化输出 flags标志位 width ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5Ngmmz.html" rel="bookmark" class="title">&lbrack;算法系列之二十&rsqb;字典树（Trie）</a>
					<div>
						一 概述 又称单词查找树,Trie树,是一种树形结构,是一种哈希树的变种.典型应用是用于统计,排序和保存大量的字符串(但不仅限于字符串),所以经常被搜索引擎系统用于文本词频统计. 二 优点 利用字符串 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8klP4M.html" rel="bookmark" class="title">listview-ListView android&colon;看不见列表项目</a>
					<div>
						问题描述 ListView android:看不见列表项目 需要在android应用中显示listView.我没有继承listActivity,不知道是不是这个引起错误. 代码: public cla ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/My381kz.html" rel="bookmark" class="title">The Log</a>
					<div>
						The Log: What every software engineer should know about real-time data's unifying abstraction 译文 Jay ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9YZQdM.html" rel="bookmark" class="title">图片-Android裁剪后照片太大</a>
					<div>
						问题描述 Android裁剪后照片太大 Android裁剪后照片太大 Intent只能传1M左右的 如果图片太大就会卡在裁剪页面 不知道谁有什么方法 解决方案 不能先把图片压缩后再剪辑吗 解决方案二: ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAZ53M.html" rel="bookmark" class="title">打开微信web开发工具，出现javascript error如何解决</a>
					<div>
						问题描述 打开微信web开发工具,出现javascript error如何解决 解决方案 直接找微信开发接口文档,这种问题一般都要参考文档					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxoBNOb.html" rel="bookmark" class="title">java数据库交换怎么实现？</a>
					<div>
						问题描述 java数据库交换怎么实现? 两台数据库服务器不同网段怎么保证其数据一致性?一个主服务器,两台分服务器.每天都要从主服务器上更新数据到分服务器.要求可以进行实时更新,也可以手动更新,已更新过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b32gg0z.html" rel="bookmark" class="title">WWDC15 Session笔记 - iOS 9 多任务分屏要点</a>
					<div>
						本文是我的 WWDC15 笔记中的一篇,涉及的 Session 有 Getting Started with Multitasking on iPad in iOS 9 Multitasking Es ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgR4XBb.html" rel="bookmark" class="title">（网络）中天城投打造&OpenCurlyDoubleQuote;绿色&rdquo;驱动引擎</a>
					<div>
						(网络)中天城投(000540,股吧)打造&quot;绿色&quot;驱动引擎 记者 高一 日前,中天城投 重点房地产项目&quot;中天未来方舟&quot;项目日前获得国家住房和城乡建设部批准成为& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe6mXb.html" rel="bookmark" class="title">magento -- 搜索功能的后台管理技巧</a>
					<div>
						前面的文章有讲到,对关键词搜索这块功能,Magento可以在后台做很多配置,功能很强大,甚至可以比国内大多数商城都要做得好.这些不涉及到前台的显示效果,也不涉及到编写代码,但对一个商城的运营者来说,活 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE45A3z.html" rel="bookmark" class="title">db2 导入导出单个表的操作详解&lowbar;DB2</a>
					<div>
						1.导出整个数据库表结构.方法.存储过程等,执行脚本: db2look –d dbname –e –o db.sql –i username –w password db2 -tvf db.sql 2 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pX0q5Wp.html" rel="bookmark" class="title">小编简述IBM收购Platform的看法</a>
					<div>
						上周的IBM宣布,即将收购Platform Computing公司.我在这一次给IBM WebSphere开发与产品组合管理的副总裁Beth T.Smith专访时,和她探讨了对这次公司收购的看法.Be ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bQ1Vl8b.html" rel="bookmark" class="title">RichTextBox 显示图片和word的代码&lowbar;实用技巧</a>
					<div>
						显示图像: 复制代码 代码如下:         Image img = Image.FromFile( @&quot;E:\image\bottle\2006122013203825344.jpg& ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwKOovz.html" rel="bookmark" class="title">分析网站快照不更新的原因</a>
					<div>
						快照不更新的原因很多,比如网站内容更新少或者更新缓慢,重复内容太多,网站关键词更换频繁,网站结构改动,网站经常打不开,外链太少或者外链数量骤增.黑链接等等,这些都会影响到网站快照,说白了就是网站权重太 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boLBvDM.html" rel="bookmark" class="title">编程-苹果手机下有没有好用的文本编辑器，包含语言要多点的</a>
					<div>
						问题描述 苹果手机下有没有好用的文本编辑器,包含语言要多点的 想在苹果手机上编辑和阅读一些简单的代码的文件什么的,百度了好久也没有找到,有大神给小弟推荐一个么,最好有软件的源地址!					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPWyRDM.html" rel="bookmark" class="title">为什么说Facebook会像罗马帝国一样衰败？</a>
					<div>
						摘要: 英国卫报的John Naughton发布了一个观察报告--&lt;尽管Facebook与苹果公司拥有压倒性的统治权,他们终将衰败&gt;.历史告诉我们,对现今的科技工业巨头们来说,只有一条路可 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
